Skip to main content
GET
/
v1
/
crawl
List Crawls
curl --request GET \
  --url https://sdk.nimbleway.com/v1/crawl \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "crawl_id": "0e9984a1-980c-412d-9e95-ebe5f6704d8a",
      "name": "crawl_name",
      "url": "https://docs.nimbleway.com",
      "account_name": "account_name",
      "status": "queued",
      "total": 2,
      "completed": 2,
      "pending": 0,
      "failed": 0,
      "created_at": "2026-01-24T11:55:24.197Z",
      "completed_at": null,
      "crawl_options": {
        "limit": 5000,
        "sitemap": "include",
        "allow_subdomains": false,
        "crawl_entire_domain": false,
        "max_discovery_depth": 5,
        "allow_external_links": false,
        "ignore_query_parameters": false
      },
      "extract_options": {},
      "tasks": [
        {
          "task_id": "441e0939-064a-4945-b49d-038772fcce17",
          "status": "completed",
          "created_at": "2026-02-05T10:34:21.487Z",
          "updated_at": "2026-02-05T10:34:26.674Z"
        },
        {
          "task_id": "0b1351e9-8155-4cd2-8cc5-a7528d0692d4",
          "status": "completed",
          "created_at": "2026-02-05T10:34:26.667Z",
          "updated_at": "2026-02-05T10:34:27.733Z"
        }
      ]
    }
  ],
  "pagination": {
    "has_next": false,
    "next_cursor": null,
    "total": 15
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
enum<string>
required

Filter crawls by their status

Available options:
queued,
running,
succeeded,
failed,
canceled
Example:

"pending"

cursor
null | string

Cursor for pagination

limit
integer

Number of crawls to return per page

Required range: 1 <= x <= 9007199254740991
Example:

10

Response

Successful Response - List of Crawl Tasks

data
object[]
required

Array of crawl tasks

pagination
object
required

Pagination information